# Getting Started

{% hint style="warning" %}
DEPRECATED: The JavaScript integration based on Angular will no longer be developed further. Please use v2 based on React.
{% endhint %}

{% content-ref url="/pages/zeDKJGRNhfGK7du87BoX" %}
[Getting Started](/react-integration/getting-started.md)
{% endcontent-ref %}

Carpose.de provides a simple integration bases on Angular. If you want to use the provided components, add the following script to load our library dynamically.

{% code lineNumbers="true" %}

```javascript
var e = document, t = e.createElement('script'), s = e.getElementsByTagName('script')[0];
t.type = 'text/javascript', t.async = t.defer = !0, t.src = 'https://www.carpose.de/assets/carpose-app.js', s.parentNode.insertBefore(t, s);
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.carpose.de/angular-integration-deprecated/getting-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
